api.botsubscription.com
GET /v1/endpoint
Authentication Bearer
Token
Stays in this tab. Required for this endpoint — the value below is what gets sent.
Request GET Response —
cURL Node Python PHP Go Ruby
Copy curl --request GET \
--url https://api.botsubscription.com/v1/endpoint \
--header 'Authorization: Bearer sk_live_•••'— — · — · —
Response will appear here.
Get all payment transactions for your subscription bot. Each payment request record includes the amount, currency, status (pending, completed, failed), payment provider details, and timestamps. Use pagination to efficiently query large transaction histories.
GET /v2/projects/ {project_id} /payment-requests CopyTry it Authorization Bearer Token Required
Path Parameters The unique identifier of the project.
Query Parameters Number of items per page. Default: 50
Number of items to skip. Default: 0
curl -X GET "https://api.botsubscription.com/v2/projects/YOUR_PROJECT_ID/payment-requests?limit=10&offset=0" \
-H "Authorization: Bearer YOUR_TOKEN" const project_id = 'YOUR_PROJECT_ID' ;
const response = await fetch ( `https://api.botsubscription.com/v2/projects/${ project_id }/payment-requests?limit=10&offset=0` , {
method: 'GET' ,
headers: {
'Authorization' : 'Bearer YOUR_TOKEN'
}
});
const data = await response. json (); import requests
project_id = 'YOUR_PROJECT_ID'
response = requests.get(
f 'https://api.botsubscription.com/v2/projects/ { project_id } /payment-requests' ,
params = { 'limit' : 10 , 'offset' : 0 },
headers = { 'Authorization' : 'Bearer YOUR_TOKEN' }
)
data = response.json() $project_id = 'YOUR_PROJECT_ID' ;
$ch = curl_init ();
curl_setopt ($ch, CURLOPT_URL , "https://api.botsubscription.com/v2/projects/{ $project_id }/payment-requests?limit=10&offset=0" );
curl_setopt ($ch, CURLOPT_HTTPHEADER , [ 'Authorization: Bearer YOUR_TOKEN' ]);
curl_setopt ($ch, CURLOPT_RETURNTRANSFER , true );
$response = curl_exec ($ch); Success application/json
{
"ok" : true ,
"request_id" : "11111111-1111-1111-1111-111111111111" ,
"method" : "GET" ,
"path" : "/v2/projects/YOUR_PROJECT_ID/payment-requests" ,
"code" : 200 ,
"total" : 2 ,
"message" : "Payment requests fetched successfully" ,
"data" : [
{
"payment_request_id" : "11111111-1111-1111-1111-111111111111" ,
"merchant_account_id" : "22222222-2222-2222-2222-222222222222" ,
"amount" : "29.99" ,
"currency" : "USD" ,
"status" : "completed" ,
"request_type" : "invoice" ,
"created_at" : "2024-12-14T10:30:00.000Z" ,
"user_id" : "123456789012345678" ,
"provider" : "stripe" ,
"provider_payment_id" : "pi_3NkQz2ABC123" ,
"settled_at" : "2024-12-14T10:35:00.000Z" ,
"payment_request_data" : {}
},
{
"payment_request_id" : "33333333-3333-3333-3333-333333333333" ,
"merchant_account_id" : "22222222-2222-2222-2222-222222222222" ,
"amount" : "49.99" ,
"currency" : "USD" ,
"status" : "pending" ,
"request_type" : "invoice" ,
"created_at" : "2024-12-15T08:00:00.000Z" ,
"user_id" : "987654321098765432" ,
"provider" : "stripe" ,
"provider_payment_id" : "pi_3NkQz2DEF456" ,
"settled_at" : null ,
"payment_request_data" : {}
}
]
} Last updated: May 28, 2026
PreviousRemove Provider Next Get Payment